import javax.swing.*;
import java.awt.BorderLayout;
import java.awt.event.*;

public class MainWindow extends JFrame
{
	JButton button1;

	public MainWindow()
	{
		super("ToolTip Test");
		setSize(255, 255);

		WindowListener listener = new WindowAdapter()
		{
			public void windowClosing(WindowEvent we)
			{
				System.exit(0);
			}
		};
		addWindowListener(listener);

		button1 = new JButton("Over Me!");
		button1.setToolTipText("ToolTipText!");

		// JToolTipManageȑ
		ToolTipManager manager = ToolTipManager.sharedInstance();
		manager.setInitialDelay(0);
		manager.registerComponent(button1);

		getContentPane().add(BorderLayout.CENTER, button1);

		show();
	}
}